import { Query, DeleteManyResponse, UpdateManyResponse, DeepPartial, QueryService, Filter } from '@nestjs-query/core';
import { Repository } from 'typeorm';
import { FilterQueryBuilder } from '../query';
export declare class TypeormQueryService<Entity> implements QueryService<Entity> {
    protected repo: Repository<Entity>;
    readonly filterQueryBuilder: FilterQueryBuilder<Entity>;
    constructor(repo: Repository<Entity>, filterQueryBuilder?: FilterQueryBuilder<Entity>);
    private get entityType();
    query(query: Query<Entity>): Promise<Entity[]>;
    findById(id: string | number): Promise<Entity | undefined>;
    getById(id: string | number): Promise<Entity>;
    createOne<C extends DeepPartial<Entity>>(record: C): Promise<Entity>;
    createMany<C extends DeepPartial<Entity>>(records: C[]): Promise<Entity[]>;
    updateOne<U extends DeepPartial<Entity>>(id: number | string, update: U): Promise<Entity>;
    updateMany<U extends DeepPartial<Entity>>(update: U, filter: Filter<Entity>): Promise<UpdateManyResponse>;
    deleteOne(id: string | number): Promise<Entity>;
    deleteMany(filter: Filter<Entity>): Promise<DeleteManyResponse>;
    private ensureIsEntity;
}
